---
sidebar_label: Locator.setVisibility
---

# Locator.setVisibility() method

#### Signature:

```typescript
class Locator {
  setVisibility<NodeType extends Node>(
    this: Locator<NodeType>,
    visibility: VisibilityOption
  ): Locator<NodeType>;
}
```

## Parameters

| Parameter  | Type                                                | Description |
| ---------- | --------------------------------------------------- | ----------- |
| this       | [Locator](./puppeteer.locator.md)&lt;NodeType&gt;   |             |
| visibility | [VisibilityOption](./puppeteer.visibilityoption.md) |             |

**Returns:**

[Locator](./puppeteer.locator.md)&lt;NodeType&gt;
